Subject: Re: Linux 2.6.20-rc4

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 09 Jan 2007 13:05:23 +1100

On Mon, 2007-01-08 at 16:56 -0800, Greg KH wrote:
> On Tue, Jan 09, 2007 at 11:38:59AM +1100, Benjamin Herrenschmidt wrote:
> > On Mon, 2007-01-08 at 15:58 +0100, Sylvain Munaut wrote:
> > > Don't build ohci as module for now.
> > > A fix for that is already in gregkh usb tree for 2.6.21
> > 
> > Do you mean that as-is, powerpc defconfigs cannot build USB as a module
> > in 2.6.20 ? That is unacceptable as a regression. We need a fix in
> > 2.6.20.
> > 
> > Greg, what is the status there ?
> 
> Hm, for some reason I thought your patches were not needed until 2.6.21.

My endian patches aren't, but Sylvain' are based on mines so ... Maybe
if Sylvain rebases his ?

> Should I forward them on to Linus now for 2.6.20?  Are they required for
> ppc to build?

Sylvain fixes are. My endian patches are for ps3 and toshiba celleb,
none of which is fully merged in 2.6.20 so they are fine to wait. It's
mostly a matter of being a PITA to rebase Sylvain stuff to apply before
mine and rebase mine on top of his I suppose :-)

Ben.